MODULE argmod

CONTAINS

SUBROUTINE PRINTargs(a,b,c)

  REAL :: a,b,c
      
  write(*,*) 'sub PRINTargs: a = ',a
  write(*,*) 'sub PRINTargs: b = ',b
  write(*,*) 'sub PRINTargs: c = ',c

END SUBROUTINE PRINTargs

END MODULE argmod

PROGRAM checkarg_mod
  USE argmod
  REAL :: x=5,y=7,z=9

  CALL PRINTargs(x,y,z)
  PRINT *, x
      
END PROGRAM checkarg_mod
